FROM golang:1.14.0-alpine AS build

# Cache dependencies
WORKDIR /src
COPY go.mod /src
COPY go.sum /src
RUN go mod download

COPY bag /src/bag
COPY cmd /src/cmd
COPY building.go /src

RUN go build ./cmd/building-info-retriever


FROM alpine:latest

COPY --from=build /src/building-info-retriever /usr/local/bin/building-info-retriever

RUN adduser -D -u 1001 appuser
USER appuser

CMD ["/usr/local/bin/building-info-retriever"]
